## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:    libdex
Version: 0.8.1
Release: %autorelease
Summary: a library supporting "Deferred Execution" for GNOME and GTK

License: LGPL-2.1-or-later
URL:     https://gitlab.gnome.org/GNOME/libdex
Source0: https://download.gnome.org/sources/libdex/0.8/%{name}-%{version}.tar.xz

BuildRequires: /usr/bin/vapigen
BuildRequires: gcc
BuildRequires: gi-docgen
BuildRequires: libatomic
BuildRequires: meson
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(liburing)
BuildRequires: pkgconfig(sysprof-capture-4)

%description
Dex is a library supporting "Deferred Execution" with the explicit goal
of integrating with GNOME and GTK-based applications.
It provides primatives for supporting futures in a variety of ways with both
read-only and writable views. Additionally, integration with existing
asynchronous-based APIs is provided through the use of wrapper promises.
"Fibers" are implemented which allows for writing synchronous looking code
which calls asynchronous APIs from GIO underneath.

%package  devel
Summary:  Development files for libdex
Requires: libdex%{?_isa} = %{version}-%{release}

%description devel
This package contains the libraries and header files that are needed for
writing applications with libdex.

%package   devel-docs
Summary:   Developer documentation for libdex
BuildArch: noarch
Requires:  libdex = %{version}-%{release}

%description devel-docs
This package contains developer documentation for writing applications with
libdex.

%prep
%autosetup -p1

%build
%meson \
  -Ddocs=true \
  -Dexamples=false \
  -Dsysprof=true
%meson_build

%install
%meson_install

%check
%meson_test

%files
%license COPYING
%doc NEWS README.md
%{_libdir}/libdex-1.so.1{,.*}
%{_libdir}/girepository-1.0/

%files devel
%{_datadir}/gir-1.0/
%{_datadir}/vala/
%{_includedir}/libdex-1/
%{_libdir}/libdex-1.so
%{_libdir}/pkgconfig/libdex-1.pc

%files devel-docs
%doc %{_docdir}/libdex-1/

%changelog
## START: Generated by rpmautospec
* Sun Oct 20 2024 David King <amigadave@amigadave.com> - 0.8.1-1
- Update to 0.8.1

* Wed Sep 18 2024 nmontero <nmontero@redhat.com> - 0.8.0-1
- Update to 0.8.0

* Tue Aug 06 2024 David King <amigadave@amigadave.com> - 0.7.1-1
- Update to 0.7.1 (#2302642)

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jul 01 2024 Nieves Montero <nmontero@redhat.com> - 0.7.0-1
- Update to 0.7.0

* Fri May 31 2024 Nieves Montero <nmontero@redhat.com> - 0.6.1-1
- Update to 0.6.1

* Sat Mar 16 2024 David King <amigadave@amigadave.com> - 0.6.0-2
- Update to 0.6.0 (#2269746)

* Sat Mar 16 2024 David King <amigadave@amigadave.com> - 0.6.0-1
- Update to 0.6.0

* Tue Mar 05 2024 David King <amigadave@amigadave.com> - 0.5.1-1
- Update to 0.5.1 (#2267589)

* Sun Feb 18 2024 David King <amigadave@amigadave.com> - 0.5.0-1
- Update to 0.5.0 (#2263919)

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 11 2024 Kalev Lember <klember@redhat.com> - 0.4.3-1
- Update to 0.4.3

* Thu Jan 11 2024 Kalev Lember <klember@redhat.com> - 0.4.2-1
- Update to 0.4.2

* Mon Oct 23 2023 David King <amigadave@amigadave.com> - 0.4.1-1
- Update to 0.4.1 (#2245721)

* Mon Sep 18 2023 Kalev Lember <klember@redhat.com> - 0.4.0-1
- Update to 0.4.0

* Mon Aug 07 2023 Kalev Lember <klember@redhat.com> - 0.3.1-1
- Update to 0.3.1

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jul 03 2023 Kalev Lember <klember@redhat.com> - 0.3.0-1
- Update to 0.3.0

* Sun Mar 19 2023 David King <amigadave@amigadave.com> - 0.2.0-1
- Update to 0.2.0 (#2179448)

* Fri Mar 03 2023 David King <amigadave@amigadave.com> - 0.1.1-1
- Update to 0.1.1 (#2175053)

* Thu Feb 23 2023 David King <amigadave@amigadave.com> - 0.1.0-1
- Initial import (#2172444)
## END: Generated by rpmautospec
